ECLIPSE(1)

NAME
Eclipse SUMO od2trips Version - Importer of O/D-matrices for the traffic simulation SUMO

SYNOPSIS
od2trips [OPTION]*

DESCRIPTION
Eclipse SUMO od2trips Version v1_14_1+1447-a9bb7416089

    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Importer of O/D-matrices for the microscopic, multi-modal traffic simulation

    SUMO.

  Configuration Options:

-c, --configuration-file FILE
    Loads the named config on startup

-C, --save-configuration FILE
    Saves current configuration into FILE

--save-configuration.relative
    Enforce relative paths when saving the configuration

--save-template FILE
    Saves a configuration template (empty) into FILE

--save-schema FILE
    Saves the configuration schema into FILE

--save-commented
    Adds comments to saved template, configuration, or schema

  Input Options:

-n, --taz-files FILE
    Loads TAZ (districts; also from networks) from FILE(s)

-d, --od-matrix-files FILE
    Loads O/D-files from FILE(s)

--od-amitran-files FILE
    Loads O/D-matrix in Amitran format from FILE(s)

-z, --tazrelation-files FILE
    Loads O/D-matrix in tazRelation format from FILE(s)

--tazrelation-attribute STR
    Define data attribute for loading counts (default 'count')

  Output Options:

--write-license
    Include license info into every output file

--output-prefix STR
    Prefix which is applied to all output files. The special string 'TIME' is replaced by the current time.

--precision INT
    Defines the number of digits after the comma for floating point output

--precision.geo INT
    Defines the number of digits after the comma for lon,lat output

-H, --human-readable-time
    Write time values as hour:minute:second or day:hour:minute:second rather than seconds

-o, --output-file FILE
    Writes trip definitions into FILE

--flow-output FILE
    Writes flow definitions into FILE

--flow-output.probability
    Writes probabilistic flow instead of evenly spaced flow

--pedestrians
    Writes pedestrians instead of vehicles

--persontrips
    Writes persontrips instead of vehicles

--persontrips.modes STR[]
    Add modes attribute to personTrips

--ignore-vehicle-type
    Does not save vtype information

--junctions
    Writes trips between junctions

  Time Options:

-b, --begin TIME
    Defines the begin time; Previous trips will be discarded

-e, --end TIME
    Defines the end time; Later trips will be discarded; Defaults to the maximum time that SUMO can represent

  Processing Options:

-s, --scale FLOAT
    Scales the loaded flows by FLOAT

--spread.uniform
    Spreads trips uniformly over each time period

--different-source-sink
    Always choose source and sink edge which are not identical

--vtype STR
    Defines the name of the vehicle type to use

--prefix STR
    Defines the prefix for vehicle names

--timeline STR[]
    Uses STR[] as a timeline definition

--timeline.day-in-hours
    Uses STR as a 24h-timeline definition

--no-step-log
    Disable console output of current time step

  Defaults Options:

--departlane STR
    Assigns a default depart lane

--departpos STR
    Assigns a default depart position

--departspeed STR
    Assigns a default depart speed

--arrivallane STR
    Assigns a default arrival lane

--arrivalpos STR
    Assigns a default arrival position

--arrivalspeed STR
    Assigns a default arrival speed

  Report Options:

-v, --verbose
    Switches to verbose output

--print-options
    Prints option values before processing

-?, --help
    Prints this screen or selected topics

-V, --version
    Prints the current version

-X, --xml-validation STR
    Set schema validation scheme of XML inputs ("never", "local", "auto" or "always")

-W, --no-warnings
    Disables output of warnings

--aggregate-warnings INT
    Aggregate warnings of the same type whenever more than INT occur

-l, --log FILE
    Writes all messages to FILE (implies verbose)

--message-log FILE
    Writes all non-error messages to FILE (implies verbose)

--error-log FILE
    Writes all warnings and errors to FILE

--ignore-errors
    Continue on broken input

  Random Number Options:

--random
    Initialises the random number generator with the current system time

--seed INT
    Initialises the random number generator with the given value

EXAMPLES

    od2trips -c <CONFIGURATION>

    run with configuration file

REPORTING BUGS
Report bugs at <https://github.com/eclipse/sumo/issues>.
Get in contact via <sumo@dlr.de>.

    Build features: Linux-5.4.0-125-generic x86_64 GNU 9.4.0 Release FMI Proj GUI SWIG
    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Eclipse SUMO od2trips Version v1_14_1+1447-a9bb7416089 is part of SUMO.
This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html
This program may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License 2.0 are satisfied: GNU General Public License, version 2 or later which is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-or-later